package com.example.demo.licznik;

public class Licznik {
	private String napis;
	private int value;
	
	public Licznik(String napis, int value) {
		this.napis = napis;
		this.value = value;
	}
	
	public Licznik() {
		this("default", 0);
	}

	public synchronized String getNapis() {
		return napis;
	}

	public synchronized void setNapis(String napis) {
		this.napis = napis;
	}

	public synchronized int getValue() {
		return ++value;
	}

	@Override
	public String toString() {
		return "Licznik [napis: " + getNapis() + ", value: " + getValue() + "]";
	}

}
